Subject: Re: What's cooking in git.git (May 2025, #02; Mon, 5)

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 7 May 2025 10:00:21 +0200

On Tue, May 06, 2025 at 01:50:09PM -0400, Eric Sunshine wrote:
> On Tue, May 6, 2025 at 4:35 AM Christian Couder
> <[email-masked]> wrote:
> > On Tue, May 6, 2025 at 9:04 AM Junio C Hamano <[email-masked]> wrote:
> > > * ps/maintenance-missing-tasks (2025-05-05) 7 commits
> > >  - builtin/maintenance: introduce "rerere-gc" task
> > >  - builtin/gc: move rerere garbage collection into separate function
> > >  - builtin/maintenance: introduce "worktree-prune" task
> > >  - worktree: expose function to retrieve worktree names
> > >  - builtin/gc: move pruning of worktrees into a separate function
> > >  - builtin/gc: remove global variables where it trivial to do
> > >  - builtin/gc: fix indentation of `cmd_gc()` parameters
> > >
> > >  Make repository clean-up tasks "gc" can do available to "git
> > >  maintenance" front-end.
> > >
> > >  Will merge to 'next'.
> > >  source: <[email-masked]>
> >
> > I am reviewing this series and it seems to me that it's possibly
> > missing a fix for a leak that Eric Sunshine had found in a previous
> > review round.
> 
> In addition to the leak[1], I also have reservations[2] about the
> "worktree: expose function to retrieve worktree names" patch.

I've addressed both of these now in v5 of this patch series. Thanks!

Patrick